var win = Titanium.UI.currentWindow;

var data = [];

// Add additional videos here to test
var vids = [
	{title: 'Kitchen Sink Video', url: 'video/movie.mp4'}
];

for (var c=0; c<1; c++) {

	var row = Ti.UI.createTableViewRow({
		height:'auto',
		backgroundColor:'#ffffff',
		backgroundSelectedColor:'#dddddd',
		test: vids[c].url,
		titlev: vids[c].title
	}); 

	var label1 = Ti.UI.createLabel({
		text: vids[c].title,
		left:105,
		top:10,
		height:40,
		font:{fontSize:16},
		color:'black'
	});

	row.add(label1);

	data[c] = row;

}

// create table view
var tableview = Titanium.UI.createTableView({
	data:data,
	backgroundColor:'#fff',
    separatorColor:'#FEED2A'
});

	// create table view event listener
tableview.addEventListener('click', function(e){

	if (e.rowData.test){
	//alert(e);		
		var activeMovie = Titanium.Media.createVideoPlayer({
			url: e.rowData.test,
			backgroundColor:'#111',
			movieControlMode:Titanium.Media.VIDEO_CONTROL_DEFAULT,
			scalingMode:Titanium.Media.VIDEO_SCALING_ASPECT_FIT
		});
		
		// label 
		var movieLabel = Titanium.UI.createLabel({
			text:e.rowData.titlev,
			width:'auto',
			top:10,
			height:70,
			color:'#FFCA1F',
			font:{fontSize:16,fontFamily:'Helvetica Neue'}
		});

		// add label to view
		activeMovie.add(movieLabel);

		activeMovie.addEventListener('load',function()
		{
			// animate label
			var t = Titanium.UI.create2DMatrix();
			t = t.scale(3);
			movieLabel.animate({transform:t, duration:500, color:'red'},function()
			{
				var t = Titanium.UI.create2DMatrix();
				movieLabel.animate({transform:t, duration:500, color:'white'});
			});
		});
		
		activeMovie.addEventListener('error',function(e)
		{
			alert(e.message)
		});



		activeMovie.play();

		win.addEventListener('close', function() {
			activeMovie.stop();
		});
	}
});

// add table view to the window

win.add(tableview);
